Basin

Integrate your application with the Basin API

🚀 Quickstart

Connect to Basin with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Basin.

Authorize Basin

Go to Connections -> Add Test Connection -> Authorize, then enter your Basin API key. Later, you'll let your users do the same directly from your app.

Call the Basin API

Let's make your first request to the Basin API (list forms). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/v1/forms" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

📚 Basin Integration Guides

Nango-maintained guides for common use cases.

Official docs: Basin API Reference

Contribute API gotchas by editing this page

🧩 Pre-built syncs & actions for Basin

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
create-form-webhookCreate a new webhook on a form.Action🔗 Github
create-formCreate a new form.Action🔗 Github
create-projectCreate a new project.Action🔗 Github
delete-form-webhookDelete a form webhook.Action🔗 Github
delete-formDelete a form.Action🔗 Github
delete-projectDelete a project.Action🔗 Github
delete-submissionPermanently delete a submission.Action🔗 Github
get-form-webhookGet a single form webhook by id.Action🔗 Github
get-formGet a single form by id.Action🔗 Github
get-projectGet a single project by id.Action🔗 Github
get-submissionGet a single submission by id.Action🔗 Github
list-domainsList custom domains configured on this account for branded form/redirect URLs.Action🔗 Github
list-form-viewsList Form Views configured on this account.Action🔗 Github
list-form-webhooksList webhooks configured across forms in this account.Action🔗 Github
list-formsList forms in this account.Action🔗 Github
list-projectsList projects in this account.Action🔗 Github
list-submissionsList submissions for a formAction🔗 Github
refire-submission-webhooksRe-trigger the configured form webhooks for a single submission (useful for retrying a failed delivery).Action🔗 Github
update-form-webhookUpdate an existing form webhook.Action🔗 Github
update-formUpdate fields on an existing form.Action🔗 Github
update-projectUpdate a project's name.Action🔗 Github
update-submissionMark a submission as read, spam, and/or trash.Action🔗 Github
form_webhooksSync webhooks configured across forms in this account.Sync🔗 Github
formsSync forms across all projects in this account.Sync🔗 Github
projectsSync projects in this account.Sync🔗 Github
submissionsSync submissions across all forms in this accountSync🔗 Github

On this page